<!--
 * @Descripttion: 
 * @version: 
 * @Author: wt
 * @Date: 2023-02-03 14:53:32
 * @LastEditors: wt
 * @LastEditTime: 2023-03-23 17:48:16
-->
<template>
  <div class="icon-body">
    <el-input
      v-model="iconName"
      style="position: relative;"
      clearable
      placeholder="请输入图标名称"
      @clear="filterIcons"
      @input="filterIcons"
    >
      <template #suffix><i class="el-icon-search el-input__icon" /></template>
    </el-input>
    <div class="icon-list">
      <div v-for="(item, index) in iconList" :key="index" @click="selectedIcon(item)">
        <svg-icon :icon-class="item" style="height: 30px;width: 16px;" />
        <span>{{ item }}</span>
      </div>
    </div>
  </div>
</template>

<script setup>
import { icons, iconsAPP}  from './requireIcons'
const props = defineProps({
mold: {
    type: Number,
    default: false,
  },
}); //数据双向绑定
let iconList = ref([])
const iconName = ref('');
const emit = defineEmits(['selected']);
function selectedIcon(name) {
  emit('selected', name)
  document.body.click()
}
function filterIcons() {
        console.log(1)
        if(props.mold == '0'){
                console.log(2)
                iconList.value = icons
                console.log(iconList.value)
                if (iconName.value) {
                        iconList.value = icons.filter(item => item.indexOf(iconName.value) !== -1)
                }
        }
        if(props.mold == '1'){
                iconList.value = iconsAPP
                if (iconName.value) {
                        iconList.value = iconsAPP.filter(item => item.indexOf(iconName.value) !== -1)
                }
        }
}

function reset() {
        console.log(111)
        iconName.value = ''
        if(props.mold == '0'){
                console.log(icons)
                iconList.value = icons
        }
        if(props.mold == '1'){
                console.log(333)
                iconList.value = iconsAPP
        }
}


defineExpose({ reset })
</script>

<style lang='scss' scoped>
.icon-body {
  width: 100%;
  padding: 10px;
  .icon-list {
    height: 200px;
    overflow-y: scroll;
    div {
      height: 30px;
      line-height: 30px;
      margin-bottom: -5px;
      cursor: pointer;
      width: 33%;
      float: left;
    }
    span {
      display: inline-block;
      vertical-align: -0.15em;
      fill: currentColor;
      overflow: hidden;
    }
  }
}
</style>